sc::MP2BasisExtrap(3)

NAME
sc::MP2BasisExtrap -

SYNOPSIS

Inherits sc::SumMolecularEnergy.

  Public Member Functions
MP2BasisExtrap (const Ref< KeyVal > &)
MP2BasisExtrap (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

  Protected Member Functions
void compute ()
Recompute at least the results that have compute true and are not already computed.

  Additional Inherited Members

Member Function Documentation

  void sc::MP2BasisExtrap::compute () [protected], [virtual]

Recompute at least the results that have compute true and are not already computed. This should only be called by Result's members.

Reimplemented from sc::SumMolecularEnergy.

  void sc::MP2BasisExtrap::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::SumMolecularEnergy.

Author

Generated automatically by Doxygen for MPQC from the source code.